Page MenuHomePhabricator

[Blog Post] Applying epidemiology techniques to browser tabs
Closed, DeclinedPublic

Description

A while back, we tried to figure this out by having the browser send a "window closed" event, but we found this extremely unreliable. This was a system that only worked on latest versions of a few modern browsers and even then those events did not send 100% of the time.

In clinical drug trials, depression therapy studies, etc., you have participants that you check in with every 3-6 months because it's unrealistic and super expensive to monitor everybody every day. So if someone relapses, dies, experiences a heart attack, or whatever event of interest is, you only know that it happened sometime between a time point t1 and a time point t2. You end up with "censored" data, which is the foundation of survival analysis and its application in epidemiology.

Realizing that an opened tab is basically a participant and we want to know when the tab's "death" occurred, we created a system (TSS2) wherein the browser would "check in" by sending these "hey, I'm still alive!" events at various time points. If the user closes the tab before the next scheduled check-in, we now have an interval that we can apply survival analysis to.

Apparently people would be pretty interested in reading about that.

Event Timeline

mpopov created this task.Aug 29 2017, 9:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2017, 9:47 PM
debt triaged this task as Normal priority.Aug 29 2017, 10:07 PM
debt added a subscriber: debt.

Sounds cool! Maybe you can also look at article length and if that correlates with how long users stay in a particular window. :)

Restricted Application added a project: Product-Analytics. · View Herald TranscriptApr 19 2018, 12:20 AM
mpopov moved this task from Triage to Backlog on the Product-Analytics board.Apr 23 2018, 11:04 PM

This is an interesting data topic, but if and when this blog post goes forward, we should probably coordinate a bit on communication, considering that a while after that research from 2015, we actually still ended up using a "tab closed" event (now also combined with tab visibility information) for the ReadingDepth schema, following discussion at T119352 etc.

mpopov lowered the priority of this task from Normal to Lowest.Sep 20 2018, 8:35 PM

Updating to better reflect its actual priority in the grander scheme of things.

mpopov closed this task as Declined.Dec 10 2018, 2:55 PM

I think the window on this closed.